Bug 1016569 - btrfs manpage: need btrfs send/receive descriptions in man 8 btrfs
btrfs manpage: need btrfs send/receive descriptions in man 8 btrfs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: btrfs-progs (Show other bugs)
7.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: fs-maint
XuWang
: ManPageChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 07:07 EDT by Eryu Guan
Modified: 2015-09-20 23:26 EDT (History)
6 users (show)

See Also:
Fixed In Version: btrfs-progs-3.14.2-1.el6.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-09 07:42:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eryu Guan 2013-10-08 07:07:18 EDT
Description of problem:
There are no descriptions in man 8 btrfs about send/receive command now. We need them documented.

Version-Release number of selected component (if applicable):
btrfs-progs-0.20.rc1.20130917git194aa4a-1.el7
upstream btrfs-progs too

How reproducible:
always

Steps to Reproduce:
1. man 8 btrfs and search for send/receive command
2.
3.

Actual results:
no description

Expected results:
descriptions about send/receive command

Additional info:
Comment 1 Wang Shilong 2014-03-22 03:24:34 EDT
Version is too old, try btrfs-progsv3.12 or something latest from David' branch
Comment 3 Eric Sandeen 2014-07-14 19:32:35 EDT
See btrfs-receive(8) in the btrfs-progs-v3.14.2

Thanks,
-Eric
Comment 6 XuWang 2014-12-30 22:36:01 EST
verify with btrfs-progs-3.16.2-1.el7, man btrfs shows following:
BTRFS(8)                       Btrfs Manual                       BTRFS(8)

NAME
       btrfs - control a btrfs filesystem

.....

 send
           Send subvolume data to stdout/file for backup and etc.

           See btrfs-send(8) for details.

       receive
           Receive subvolume data from stdin/file for restore and etc.

           See btrfs-receive(8) for details.

verify with btrfs-progs-3.14.2-2.el6, man btrfs show following:

BTRFS(8)                       Btrfs Manual                       BTRFS(8)

NAME
       btrfs - control a btrfs filesystem

.....

 send
           Send subvolume data to stdout/file for backup and etc.

           See btrfs-send(8) for details.

       receive
           Receive subvolume data from stdin/file for restore and etc.

           See btrfs-receive(8) for details.

So I think the state of this bug can be changed to be verified.

Note You need to log in before you can comment on or make changes to this bug.